Kerbal Space Program - Bug #9495

certain settings not saved when at native res in window mode
04/25/2016 10:57 PM - Katateochi
Description

This may be similar to #6017http://bugs.kerbalspaceprogram.com/issues/6017

If I run in windowed mode and set the resolution to be my native (1920x1200) then other settings won't get saved and the accept and
apply buttons seen not to do anything.

First (expected behaviour) | start the game and set a resolution less than my native res. If press accept | am returned to the main
menu. If | then return to settings and change a different setting (render quality for example) and press accept then the setting is
saved and | return to the main menu. If at that point | close the game and restart and then go back into settings the render quality |
set is still as | set it.

Now if | go into settings and set my native res of 1920x1200 when | press accept as before | am returned to the main menu and the
resolution is set. If | go back into settings it still says 1920x1200. (still as expected).

But if | restart the game and go back into settings the resolution does not say 1920x1200, it says custom. Also neither accept or
apply do anything, the only way back to the main menu is to press cancel. But if | change a setting (sometime obvious like orbit line
strength) and press apply and then cancel when | go into the game that setting has been set. However when | restart the game that
setting is lost. The workaround is to change the resolution from custom back to 1920x1200 at the same time as making other
settings changes, then accept/apply function as expected and the setting is properly saved (ie persists over a restart).

| don't know of this is due to the res being set to 1920x1200 specifically, or if it's caused by running in windowed mode at natives res.
Steps to repeat

- launch game and go into settings, set a res of 1920x1200 (assuming that's native)

- click accept.

- restart the game and go back into settings (note that it now says custom for resolution).

- change a different setting ie terrain detail or render quality (and of the ones on the left).

- click apply or accept and note that neither button functions.

- click cancel and go into game - the settings should appear to have been changed.

- restart the game and go back into settings, note that the settings have been reverted.

- again change one of the ones of the left but this time also change the resolution from custom back to 1920x1200
- now accept will function as expected.

- restart game and note that settings have been preserved.

The workaround is making sure to change resolution from custom to desired res (even though "custom"” is the desired res) in order
for other graphics settings to be saved.

The settings file attached is when the res set to 1920x1200 and when | load up on that .cfg it displays custom and neither accept or
apply appear to do anything.
dxdiag - https://www.dropbox.com/s/4v2eco8060wfx6c/DxDiag.txt?dl=0

History

#1 - 04/25/2016 11:01 PM - smjjames

- File output_log.txt added

- File settings.cfg added

- File DxDiag.txt added

- Status changed from New to Confirmed

- % Done changed from 0 to 10
I've seen this as well. When in windowed mode for 1280x720, it does the same thing, HOWEVER, when run in borderless mode via -popupwindow, it

works fine.

The settings menu doesn't seem to like windowed mode for some reason.

#2 - 07/17/2016 09:47 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#3 - 08/09/2019 11:10 PM - chris.fulton
- Status changed from Needs Clarification to Resolved

- % Done changed from 0 to 100

#4 - 08/09/2019 11:10 PM - chris.fulton

- Status changed from Resolved to Closed

Closing, QA has not been able to reproduce this issue for some time and in effort of the database cleanup that is underway this bug is being closed.

Files

KSP.log 201 KB 04/25/2016 Katateochi

settings.cfg 25.9 KB 04/25/2016 Katateochi

output_log.txt 812 KB 04/25/2016 smjjames

settings.cfg 26.5 KB 04/25/2016 smjjames

DxDiag.txt 59.5 KB 04/25/2016 smjjames
